Index: src/northbridge/intel/i440bx/Kconfig
===================================================================
--- src/northbridge/intel/i440bx/Kconfig	(revision 5202)
+++ src/northbridge/intel/i440bx/Kconfig	(working copy)
@@ -22,3 +22,21 @@
 	bool
 	select HAVE_HIGH_TABLES
 
+
+config SDRAMPWR_4DIMM
+	bool
+        prompt "Target mainboard has 4 DIMM slots"
+        depends on NORTHBRIDGE_INTEL_I440BX && EXPERT
+        help
+          This option affects how the SDRAMC register is programmed. Memory clock 
+          signals will not be routed properly if this option is set wrong.
+
+          If your board has 4 DIMM slots, say Y.
+
+          If your board has 3 DIMM slots, dump the PCI configuration space of 
+          the 440BX device, then look at bit 4 of register 76h. Say Y if that bit is 1.
+
+config SDRAMPWR_4DIMM
+	bool
+        depends on NORTHBRIDGE_INTEL_I440BX && !EXPERT
+	default n
Index: src/mainboard/asus/p2b-ls/Kconfig
===================================================================
--- src/mainboard/asus/p2b-ls/Kconfig	(revision 5202)
+++ src/mainboard/asus/p2b-ls/Kconfig	(working copy)
@@ -29,6 +29,7 @@
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
+	select SDRAMPWR_4DIMM
 
 config MAINBOARD_DIR
 	string
Index: src/mainboard/asus/p2b-d/Kconfig
===================================================================
--- src/mainboard/asus/p2b-d/Kconfig	(revision 5202)
+++ src/mainboard/asus/p2b-d/Kconfig	(working copy)
@@ -31,6 +31,7 @@
 	select SMP
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
+	select SDRAMPWR_4DIMM
 
 config MAINBOARD_DIR
 	string
Index: src/mainboard/asus/p2b-ds/Kconfig
===================================================================
--- src/mainboard/asus/p2b-ds/Kconfig	(revision 5202)
+++ src/mainboard/asus/p2b-ds/Kconfig	(working copy)
@@ -31,6 +31,7 @@
 	select SMP
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
+	select SDRAMPWR_4DIMM
 
 config MAINBOARD_DIR
 	string
Index: src/mainboard/asus/p3b-f/Kconfig
===================================================================
--- src/mainboard/asus/p3b-f/Kconfig	(revision 5202)
+++ src/mainboard/asus/p3b-f/Kconfig	(working copy)
@@ -29,6 +29,7 @@
 	select HAVE_PIRQ_TABLE
 	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
+	select SDRAMPWR_4DIMM
 
 config MAINBOARD_DIR
 	string
